/* ccgo: igsmatch.cc
 *
 * IgsMatch class definition
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#include "igsmatch.hh"
#include <sstream>

using namespace std;

IgsMatch::IgsMatch(const string & o, GoGame::Turns t,
		   int sz, int mt, int bt) :
	Gtk::Window(GTK_WINDOW_TOPLEVEL)
{
	opponent = o;
	my_turn = t;
	board_size = sz;
	main_time = mt;
	byo_time = bt;

	Gtk::VBox * v;
	Gtk::HBox * h;
	Gtk::Label * l;
	Gtk::Button * b;
	ostringstream ss;

	v = manage(new Gtk::VBox);
	add(* v);
	v->show();
	ss.str("");
	ss << "<Match request from " << o << ">";
	l = manage(new Gtk::Label(ss.str()));
	v->pack_start(* l);
	l->show();
	ss.str("");
	ss << o << " wants me to take "
	   << (t == GoGame::B_TURN ? "black" : "white")
	   << " stones";
	l = manage(new Gtk::Label(ss.str()));
	v->pack_start(* l);
	l->show();
	ss.str("");
	ss << "the board size is " << sz << "X" << sz;
	l = manage(new Gtk::Label(ss.str()));
	v->pack_start(* l);
	l->show();	
	ss.str("");
	ss << "play for " << mt << ((mt > 1) ? " minutes" : " minute")
	   <<" then";
	l = manage(new Gtk::Label(ss.str()));
	v->pack_start(* l);
	l->show();	
	ss.str("");
	ss << "enter byo-yomi periods of " << bt
	   << ((bt > 1) ? " minutes" : " minute");
	l = manage(new Gtk::Label(ss.str()));
	v->pack_start(* l);
	l->show();
	ss.str("");
	ss << "I am going to :";
	l = manage(new Gtk::Label(ss.str()));
	v->pack_start(* l);
	l->show();
	h = manage(new Gtk::HBox);
	v->pack_start(* h, false);
	h->show();
	b = manage(new Gtk::Button("Accept"));
	b->clicked.connect(accept_match.slot());
	b->clicked.connect(destroy.slot());
	h->pack_start(* b);
	b->show();
	b = manage(new Gtk::Button("Decline"));
	b->clicked.connect(decline_match.slot());
	b->clicked.connect(destroy.slot());
	h->pack_start(* b);
	b->show();
	b = manage(new Gtk::Button("Ignore"));
	b->clicked.connect(destroy.slot());
	h->pack_start(* b);
	b->show();
}

